> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get US Bank Account

> Get US Account for a specified customer account



## OpenAPI

````yaml GET /accounts/{user_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /accounts/{user_id}:
    get:
      tags:
        - Accounts
      summary: Get US Account
      description: Get US Account for a specified customer account
      operationId: getUSAccount
      parameters:
        - name: user_id
          in: path
          description: User Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUSAccountResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateUSAccountResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/USAccountData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    USAccountData:
      type: object
      properties:
        account_id:
          type: string
          example: 12345hgyd78yuyu9
        account_status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - BLOCKED
        balance:
          type: number
          example: 0
        numbers:
          $ref: '#/components/schemas/Numbers'
    Numbers:
      type: object
      properties:
        ACH:
          $ref: '#/components/schemas/Account'
        RTP:
          $ref: '#/components/schemas/Account'
        WIRE:
          $ref: '#/components/schemas/Account'
    Account:
      type: object
      properties:
        account_number:
          type: string
          example: '0000'
        routing_number:
          type: string
          example: '021000021'

````